# Kite - Detailed Router

Public Member Functions | List of all members
VerticalTrack Class Reference

Vertical track managment. More...

Inheritance diagram for VerticalTrack:
[legend]

## Public Member Functions
virtual bool | isHorizontal () const
virtual bool | isVertical () const
virtual unsigned int | getDirection () const
virtual Point | getPosition (DbU::Unit coordinate) const
Public Member Functions inherited from Track
bool | isLocalAssigned () const
RoutingPlane * | getRoutingPlane () const
KiteEngine * | getKiteEngine () const
size_t | getIndex () const
unsigned int | getDepth () const
const Layer * | getLayer () const
const Layer * | getBlockageLayer () const
DbU::Unit | getAxis () const
DbU::Unit | getMin () const
DbU::Unit | getMax () const
Track * | getNextTrack () const
Track * | getPreviousTrack () const
size_t | getSize () const
TrackElement * | getSegment (size_t index) const
TrackElement * | getSegment (DbU::Unit position) const
TrackElement * | getNext (size_t &index, Net *) const
TrackElement * | getPrevious (size_t &index, Net *) const
TrackElement * | getNextFixed (size_t &index) const
size_t | find (const TrackElement *) const
DbU::Unit | getSourcePosition (vector< TrackElement *>::iterator) const
DbU::Unit | getMinimalPosition (size_t index, unsigned int state) const
DbU::Unit | getMaximalPosition (size_t index, unsigned int state) const
Interval | getFreeInterval (DbU::Unit position, Net *net=NULL) const
Interval | getOccupiedInterval (size_t &begin) const
Interval | expandFreeInterval (size_t &begin, size_t &end, unsigned int state, Net *) const
void | getBeginIndex (DbU::Unit position, size_t &begin, unsigned int &state) const
void | getOverlapBounds (Interval, size_t &begin, size_t &end) const
TrackCost | getOverlapCost (Interval, Net *, size_t begin, size_t end, unsigned int flags) const
TrackCost | getOverlapCost (Interval, Net *, unsigned int flags) const
TrackCost | getOverlapCost (TrackElement *, unsigned int flags) const
void | getTerminalWeight (Interval, Net *, size_t &count, unsigned int &weight) const
DbU::Unit | getSourcePosition (size_t index) const
bool | check (unsigned int &overlaps, const char *message=NULL) const
void | invalidate ()
void | insert (TrackElement *)
void | insert (TrackMarker *)
void | setSegment (TrackElement *, size_t)
size_t | doRemoval ()
void | doReorder ()

## Additional Inherited Members
Public Types inherited from Track
enum | IndexState { BeginIsTrackMin = 0x00000001, BeginIsSegmentMin = 0x00000002, BeginIsSegmentMax = 0x00000004, EndIsTrackMax = 0x00000008, EndIsSegmentMin = 0x00000010, EndIsNextSegmentMin = 0x00000020, EndIsSegmentMax = 0x00000040, BeforeFirstElement = BeginIsTrackMin |EndIsSegmentMin, InsideElement = BeginIsSegmentMin|EndIsSegmentMax, OutsideElement = BeginIsSegmentMax|EndIsNextSegmentMin, AfterLastElement = BeginIsSegmentMax|EndIsTrackMax, EmptyTrack = BeginIsTrackMin |EndIsTrackMax, BeginMask = BeginIsTrackMin |BeginIsSegmentMin|BeginIsSegmentMax, EndMask = EndIsTrackMax |EndIsSegmentMin |EndIsNextSegmentMin|EndIsSegmentMax }
Static Public Attributes inherited from Track
static const size_t | npos = (size_t)-1

## Detailed Description

Vertical track managment.

## Member Function Documentation

## ◆ isHorizontal()

bool isHorizontal | ( |  | ) | const
| virtual

Returns: true if the Track in horizontal direction.

Implements Track.

## ◆ isVertical()

bool isVertical | ( |  | ) | const
| virtual

Returns: false.

Returns: true.

Implements Track.

## ◆ getDirection()

unsigned int getDirection | ( |  | ) | const
| virtual

Returns: Katabatic::KbVertical.

Implements Track.

## ◆ getPosition()

Point getPosition | ( | DbU::Unit | position | ) | const
| virtual

Returns: the point at ``(getAxis(),position).

Implements Track.

The documentation for this class was generated from the following files:

- VerticalTrack.h
- VerticalTrack.cpp
- VerticalTrack.dox

Generated by doxygen 1.8.14 on Mon Apr 27 2020 | Return to top of page

Kite - Detailed Router | Copyright © 2008-2016 UPMC. All rights reserved